<template>
<div>
  <el-aside width="30%">
    <el-tree :data="dataList" :props="defaultProps" @node-click="handleNodeClick">
    </el-tree>
  </el-aside>
</div>
</template>
<script setup>
import {findTableInfoList} from "@/api/tableData/data";

export default {
  name: 'Show',
  data() {
    return {
      dataList:[
        {
          children:[],
        }
      ],
      defaultProps: {
        children: 'children',
        label: 'tableName'
      },

    };
  },
  created() {
    this.findTableInfoList();

  },
  methods: {
    findTableInfoList(){
      findTableInfoList().then(res=>{
        this.dataList=res.data
      })
    },
  },
}
</script>

<style scoped lang="scss">

</style>
